Page MenuHomePhabricator

Talk namespace of Lexemes has "Talk" capitalized
Closed, ResolvedPublic

Description

Unlike any other namespace, "Lexeme Talk" has the word "talk" capitalized. It should be in lower case.

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMay 24 2018, 4:08 PM
Tarrow claimed this task.Jun 5 2018, 12:01 PM

Change 437461 had a related patch set uploaded (by Tarrow; owner: Tarrow):
[mediawiki/extensions/WikibaseLexeme@master] Make Lexeme_talk namespace have lowercase T

https://gerrit.wikimedia.org/r/437461

Unlikely to be a real-world problem but worthwhile mentioning that this will break (user) CSS that is based on the classes derived from that (e.g. .page-Lexeme_talk_L42).

Change 437461 merged by jenkins-bot:
[mediawiki/extensions/WikibaseLexeme@master] Make Lexeme_talk namespace have lowercase T

https://gerrit.wikimedia.org/r/437461

Tarrow added a comment.Jun 5 2018, 4:27 PM

@Pablo-WMDE: Is there some policy we need to meet (e.g. the stable interface or similar). Or do we need to get the change announced somewhere?

At this point this should be fine without any announcement. We've made it clear that things are going to change and no-one should rely on Lexeme UI or API being stable.

@Tarrow @Lydia_Pintscher Cool. I suppose there is no harm in pointing such changes out and Lydia and Léa decide what kind of communication it warrants.

Tarrow added a comment.Jun 6 2018, 7:30 AM

I think this can be resolved now or do we wait until it hits production?

+1 with Lydia, we don't have a stable policy for Lexemes yet. However, I like to be informed of the changes, so I can go to the person who asked for it and say "look, we did the thing" :)

FYI, in the MoM board we have a column "needs announcement" between "PM review" and "done", that's an example of process to make sure that things are announced. I let you think on how you would like to do :)

Is there anything left to do here or can this be closed?

Pablo-WMDE closed this task as Resolved.EditedJun 25 2018, 8:41 AM

It's in prod now, can't think of anything else that needs to be done.
https://www.wikidata.org/w/index.php?title=Lexeme_Talk:L42&action=edit&redlink=1 (mind the lowercase "Lexeme talk" on the page)

However: in my eyes it's strange that us devs need to close tickets, the owner should.

Vvjjkkii renamed this task from Talk namespace of Lexemes has "Talk" capitalized to uccaaaaaaa.Jul 1 2018, 1:08 AM
Vvjjkkii reopened this task as Open.
Vvjjkkii removed Tarrow as the assignee of this task.
Vvjjkkii raised the priority of this task from Low to High.
Vvjjkkii updated the task description. (Show Details)
Vvjjkkii edited subscribers, added: Tarrow; removed: gerritbot, Aklapper.
JJMC89 renamed this task from uccaaaaaaa to Talk namespace of Lexemes has "Talk" capitalized.Jul 1 2018, 2:15 AM
JJMC89 closed this task as Resolved.
JJMC89 assigned this task to Tarrow.
JJMC89 lowered the priority of this task from High to Low.
JJMC89 updated the task description. (Show Details)
JJMC89 edited subscribers, added: Aklapper; removed: Tarrow.